apiVersion: v1
kind: ConfigMap
metadata:
  name: rvs-burnin-conf
  namespace: kube-amd-gpu
data:
  gst_burnin_24h.conf: |
    actions:
      - name: smc300x-24h-burnin
        device: all         # all visible GPUs in the container
        module: gst
        parallel: true
        count: 1
        duration: 86400     # 24 hours
        ramp_interval: 7000
        log_interval: 1000
        max_violations: 0
        copy_matrix: true
        # Choose ops & stress for MI300X-class; adjust as needed
        ops_type: hgemm
        target_stress: 41000
        tolerance: 0.07
        matrix_size_a: 4096
        matrix_size_b: 4096
        matrix_size_c: 4096
